/* 
 * Copyright (C) International Computer Science Institute, 1995/1996.  COPYRIGHT
 * NOTICE: This code is provided "AS IS" WITHOUT ANY WARRANTY and is subject
 * to the terms of the SATHER LIBRARY GENERAL PUBLIC LICENSE contained in
 * the file "Doc/License" of the Sather distribution.  The license is also
 * available from ICSI, 1947 Center St., Suite 600, Berkeley CA 94704, USA.
 * ---> Please email bugs to "psather-bugs@icsi.berkeley.edu". 
 *
 * GC does not work with pSather right now. Those are some
 * plugin function to replace the GC functions.
 *
 * Version 1.0 (released for 1.0.9) by Claudio Fleiner (fleiner@icsi.berkeley.edu)
 */
#include <memory.h>
#include <malloc.h>
#include <string.h>
char *GC_malloc(long size) { char *a=(char *)malloc(size);memset(a,0,size);return a; }
char *GC_malloc_atomic(long size) { char *a=(char *)malloc(size);return a; }
void GC_free(char *p) { free(p); }
char *GC_calloc(long a,long b) { char *p=(char *)calloc(a,b);memset(p,0,a*b);return p; }
char *GC_realloc(char *a,long size) { return (char *)realloc(a,size); }
char *GC_malloc_atomic_ignore_off_page(long size) { return (char *)calloc(size,1); }
char *GC_malloc_ignore_off_page(long size) { return (char *)calloc(size,1); }
