# Help related functions

proc helpAddMenu { cm }  {
    $cm add command -label "What's New" -command "helpShow NewStuff"
    $cm add separator
    $cm add command -label "Menu Options " -command "helpShow menu"
    $cm add command -label "Class Graph Pane " -command "helpShow graph"
    $cm add command -label "Class/Module Listing Pane" -command "helpShow class-list"
    $cm add command -label "Routine Listing Pane " -command "helpShow featureList"
    $cm add command -label "Text Pane" -command "helpShow text"
    $cm add command -label "History Popup" -command "helpShow history"
    $cm add separator
    $cm add command -label "Using Emacs" -command "helpShow emacs"
    $cm add command -label "Generating HTML" -command "helpShow HTML"
    $cm add separator
    $cm add command -label "Implementation" -command "helpShow implementation"
    $cm add command -label "Tcl/Sather Callback Interface" -command "helpShow tcl-sather-interface"
    $cm add command -label "Browser Speed" -command "helpShow speed"
    $cm add command -label "Customization" -command "helpShow customization"
    $cm add command -label "Custom File Example" -command "helpShow ExampleCustomization"
    $cm add command -label "Bugs " -command "helpShow bugs"
    $cm add separator
    $cm add command -label "Acknowledgements" -command "helpShow acknowledgements"
    $cm add separator



}

proc helpShow { fileName } {
    global gHome
    textReadFileLoadText "Help" $gHome/Browser/Help/${fileName} 1 false
}
